function [table_routage_1,table_routage_2,table_routage_3,table_routage_4,table_routage_5]=fivedroutingtable(g,node_n)
nlo=ceil(sqrt(node_n));
for k=1:5
	execstr('table_routage_'+string(k)+'=zeros(node_n*node_n,2*nlo)');
end
winId=waitbar('Routing Table');
count=0;
tot=5*(node_n)*(node_n-1)/2
format('v',6);
for i=1:node_n
	for j=i+1:node_n
		gc=g;
		for k=1:5
			count=count+1;
			[path]=dijkstra(gc,'length',i,j);
			l=length(path);
			execstr('table_routage_'+string(k)+'((i-1)*node_n+j,1)=l;');
			execstr('table_routage_'+string(k)+'((i-1)*node_n+j,2:length(path)+1)=path;');
			execstr('table_routage_'+string(k)+'((j-1)*node_n+i,1)=l;');
			execstr('table_routage_'+string(k)+'((j-1)*node_n+i,2:length(path)+1)=rvector(path);');
			[gc]=delpath(gc,i,j);
			waitbar(min(count/tot,1),winId);
		end
	end
end
winclose(winId);
endfunction
