function [table_routage_1]=routingdijkstra(g)
node_n=length(g.node_x);
nlo=ceil(sqrt(node_n));
[d,p] = graph_diameter(g);
table_routage_1=zeros(node_n*node_n,2*nlo);
winId=waitbar('Routing Table');
count=0;
tot=(node_n)*(node_n-1)/2
format('v',6);
k=1;
for i=1:node_n
	for j=i+1:node_n
		count=count+1;
		[path]=dijkstra(g,'length',i,j);
		l=length(path);
		execstr('table_routage_'+string(k)+'((i-1)*node_n+j,1)=l;');
		execstr('table_routage_'+string(k)+'((i-1)*node_n+j,2:length(path)+1)=path;');
		execstr('table_routage_'+string(k)+'((j-1)*node_n+i,1)=l;');
		execstr('table_routage_'+string(k)+'((j-1)*node_n+i,2:length(path)+1)=rvector(path);');
		waitbar(min(count/tot,1),winId);
	end
end
winclose(winId);
endfunction
