function [table_routage_1,table_routage_2,table_routage_3,table_routage_4,table_routage_5]=routing_n_dijkstra(g,L,name)
node_n=length(g.node_x);
nlo=ceil(sqrt(node_n));
[d,p] = graph_diameter(g)
for k=1:5
	execstr('table_routage_'+string(k)+'=zeros(node_n*node_n,2*nlo)');
end
winId=waitbar('Routing Table');
count=0;
tot=5*(node_n)*(node_n-1)/2
format('v',6);
for i=1:node_n
	for j=i+1:node_n
		gc=g;
		rout_tab=zeros(5,2*nlo);
		rr=1;
		[path]=dijkstra(gc,'length',i,j);
		l=length(path);	
		execstr('table_routage_'+string(rr)+'((i-1)*node_n+j,1)=l;');
		execstr('table_routage_'+string(rr)+'((i-1)*node_n+j,2:length(path)+1)=path;');
		execstr('table_routage_'+string(rr)+'((j-1)*node_n+i,1)=l;');
		execstr('table_routage_'+string(rr)+'((j-1)*node_n+i,2:length(path)+1)=rvector(path);');
		rout_tab(rr,1:length(path))=path;
		[gc]=modifypathweight(gc,i,j,L);
		rr=rr+1;		
		for k=2:5
			count=count+1;
			[path]=dijkstra(gc,'length',i,j);
			l=length(path);
			bool=[];
			for kk=1:rr-1
				ind=find(rout_tab(kk,:)<>0);
				ind=ind($);
				if (ind<>[])
					bool=[bool diffvectors(path,rout_tab(kk,1:ind))];
				end
			end
			indf=find(bool==%F)
			indf=indf(1);
			if (indf==[])
				execstr('table_routage_'+string(rr)+'((i-1)*node_n+j,1)=l;');
				execstr('table_routage_'+string(rr)+'((i-1)*node_n+j,2:length(path)+1)=path;');
				execstr('table_routage_'+string(rr)+'((j-1)*node_n+i,1)=l;');
				execstr('table_routage_'+string(rr)+'((j-1)*node_n+i,2:length(path)+1)=rvector(path);');
				rout_tab(rr,1:length(path))=path;
				rr=rr+1;
			end
			[gc]=modifypathweight(gc,i,j,L);
		end
		waitbar(min(count/tot,1),winId);
	end
end
winclose(winId);
save(name,table_routage_1,table_routage_2,table_routage_3,table_routage_4,table_routage_5);
endfunction
